From 4843dc3e9939c888b3d12146d9bd0bfcfe7fb75f Mon Sep 17 00:00:00 2001
From: patrick <patrick@judicata.com>
Date: Mon, 12 Mar 2018 19:01:19 -0700
Subject: [PATCH] Fix ecpg double frees

---
 src/interfaces/ecpg/preproc/ecpg.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/interfaces/ecpg/preproc/ecpg.c b/src/interfaces/ecpg/preproc/ecpg.c
index cd770c8..0704837 100644
--- a/src/interfaces/ecpg/preproc/ecpg.c
+++ b/src/interfaces/ecpg/preproc/ecpg.c
@@ -327,6 +327,7 @@ main(int argc, char *const argv[])
 						fprintf(stderr, _("%s: could not open file \"%s\": %s\n"),
 								progname, output_filename, strerror(errno));
 						free(output_filename);
+						output_filename = NULL;
 						free(input_filename);
 						continue;
 					}
@@ -474,8 +475,10 @@ main(int argc, char *const argv[])
 				}
 			}
 
-			if (output_filename && out_option == 0)
+			if (output_filename && out_option == 0) {
 				free(output_filename);
+				output_filename = NULL;
+			}
 
 			free(input_filename);
 		}
-- 
1.8.3.2

